Subject: bug#19457: 24.4; exec_sentinel_error_handler and read_process_output_error_handler

From: Leo Liu <[email-masked]>
Date: Mon, 05 Jan 2015 10:04:57 +1100

On 2015-01-02 03:29 +1100, Stefan Monnier wrote:
> The repetition between the different calls to the completion-table
> happening during completion--some is expected to be avoided (if
> problematic) via caching.
>
> Back then I tried to come up with some alternative API that would
> provide directly the ability to share more work, but couldn't come
> up with anything that was really better than just using straight caching
> in the backend.

Thanks for the information. For this instance I have chosen to silence
errors from sentinel/filter functions with logging of errors and
backtrace instead. The long unquittable wait is just too much. But
caching can reduce the multiple error instances to one.

Leo